Loading...
Searching...
No Matches
volk_32f_s32f_x2_clamp_32f.h File Reference
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32fc_s32f_x2_clamp_32f_u_H

## Functions

static void | volk_32f_s32f_x2_clamp_32f_generic (float *out, const float *in, const float min, const float max, unsigned int num_points)
static void | volk_32f_s32f_x2_clamp_32f_neon (float *out, const float *in, const float min, const float max, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32fc_s32f_x2_clamp_32f_u_H

#define INCLUDED_volk_32fc_s32f_x2_clamp_32f_u_H

## Function Documentation

## volk_32f_s32f_x2_clamp_32f_generic()

void volk_32f_s32f_x2_clamp_32f_generic | ( | float * | out,
|  | const float * | in,
|  | const float | min,
|  | const float | max,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_x2_clamp_32f_neon()

void volk_32f_s32f_x2_clamp_32f_neon | ( | float * | out,
|  | const float * | in,
|  | const float | min,
|  | const float | max,
|  | unsigned int | num_points )

inline static